
Katello - Bug #6457

If you upload content to a repository repeatedly within 5 minutes, only 1 item gets created

07/01/2014 10:22 AM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1115089 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1115089

Description of problem:

If you upload 2+ puppet modules within 5 minutes and then do a content search, it'll only show 1 of the total number uploaded. The

problem is that ElasticSearch is only pulling in a single item of the last 5 minutes. A workaround is to reindex. The content is stored

properly in Pulp, it's just not indexed.

Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:

1. Create a puppet repo

2. Upload 2+ puppet modules

3. Click on the number of puppet modules on the same page to go to the content search.

Actual results:

You only see 1 puppet module.

Expected results:

You should see 2+ puppet modules.

Additional info:

Associated revisions

Revision b59110cb - 07/01/2014 10:37 AM - David Davis

Fixes #6457,BZ1115089 - Match multiple items on contents changed

The problem when uploading multiple items is that we were doing a unit search

that could have multiple results but we were only looking at the first one. We

need to get the ids of all.

Revision 5d6076cc - 07/02/2014 10:29 AM - David Davis

Merge pull request #4372 from daviddavis/temp/20140701103734

Fixes #6457,BZ1115089 - Match multiple items on contents changed

History

#1 - 07/01/2014 10:33 AM - David Davis

- Status changed from New to Assigned

- Assignee set to David Davis
#2 - 07/02/2014 11:01 AM - David Davis

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|b59110cb222ca06f17d62f233531b8aa1a6dde1d.

#3 - 07/07/2014 07:15 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 07/07/2014 07:36 AM - Eric Helms

- Target version set to 48

#5 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
